System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. Modules are used to implement extensions to the HTTP application execution pipeline (caching, authentication, state management, hooks, and more). The default modules loaded are listed in the machine.config and they can be extended by providing a web.config file on the application directory.

This interface is the base interface required by every module author.

Developers typically hook up to one or more events in the HttpApplication in their implementation of the method.

Provides module initialization and disposal events to the implementing class.

- Method
  System.Void

  The method performs any final cleanup work prior to removal of the module from the execution pipeline.

  Disposes of the resources (other than memory) used by the module that implements .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Use the method to register event handling methods with specific events.

  Initializes a module and prepares it to handle requests.

  An that provides access to the methods, properties, and events common to all application objects within an ASP.NET application 1.0.5000.0 2.0.0.0